
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>关于dns-prefetch的详细资料 / 憋错料</title>

    <meta name="description" content="关于dns-prefetch的详细资料 最近在看别的网站的源码,看到了一个新鲜东西(大多数网站都没有使用的一个东西----dns-prefetch)百度,阿里巴巴,淘宝,天猫,谷歌都使用了这个东西,如下: 为什么这些巨头公司会使用这个呢?我就搜了很多资料,其中有一篇介绍了它的底层原理: DNS优化的原理和方法 这篇文章介绍的非常好.主要内容为: DNS 实现域名到IP的映射.通过域名访问站点,每次请求都要做DNS解析.目前每次DNS解析,通常在200ms以下.针对DNS解析耗时问题,一些浏览器通过DNS Prefetch 来提高访问的">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">关于dns-prefetch的详细资料</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>最近在看别的网站的源码,看到了一个新鲜东西(大多数网站都没有使用的一个东西----dns-prefetch)百度,阿里巴巴,淘宝,天猫,谷歌都使用了这个东西,如下:</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA2MTkxNDA0MjgxMjU/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZFRBeE1qTXpNamN6TlE9PS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA2MTkxNDA0NDMzMjg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZFRBeE1qTXpNamN6TlE9PS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA2MTkxNDA0NTMyNjU/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZFRBeE1qTXpNamN6TlE9PS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA2MTkxNDA1MDIxNzE/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZFRBeE1qTXpNamN6TlE9PS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg"></p>
<p>为什么这些巨头公司会使用这个呢?我就搜了很多资料,其中有一篇介绍了它的底层原理:<a href="http://www.blueidea.com/tech/site/2011/8697.asp" rel="external nofollow noreferrer">　DNS优化的原理和方法</a></p>
<p>这篇文章介绍的非常好.主要内容为:</p>
<p>DNS 实现域名到IP的映射。通过域名访问站点，每次请求都要做DNS解析。目前每次DNS解析，通常在200ms以下。针对DNS解析耗时问题，一些浏览器通过DNS<br />
 Prefetch 来提高访问的流畅性。</p>
<p>什么是 DNS Prefetch ?</p>
<p>DNS Prefetch 是一种DNS 预解析技术，当你浏览网页时，浏览器会在加载网页时对网页中的域名进行解析缓存，这样在你单击当前网页中的连接时就无需进行DNS的解析，减少用户等待时间，提高用户体验。</p>
<p>目前支持 DNS Prefetch 的浏览器有 google chrome 和 firefox 3.5</p>
<p>那么在服务端如何控制浏览器端对域名进行预解析那?</p>
<p>如果要浏览器端对特定的域名进行解析，可以再页面中添加link标签实现。例如：</p>
<pre>&lt;link rel=&quot;dns-prefetch&quot; href=&quot;www.ytuwlg.iteye.com&quot; /&gt;</pre>
<p>Yahoo和Google都有自己的建设高性能网站最佳实践, 我不做赘述, 需要了解的自行查阅资料:</p>
<ul>
<li>Yahoo的:&nbsp;<a href="http://developer.yahoo.com/performance/rules.html" rel="external nofollow noreferrer">Best Practices for Speeding Up Your Web Site</a></li>
<li>Google的:&nbsp;<a href="http://code.google.com/speed/page-speed/docs/rules_intro.html" rel="external nofollow noreferrer">Web Performance Best Practices</a></li>
</ul>
<p>上面的最佳实践条例其实也就是我们常在<a href="http://developer.yahoo.com/yslow" rel="external nofollow noreferrer">YSlow</a>和<a href="http://code.google.com/speed/page-speed/" rel="external nofollow noreferrer">PageSpeed</a>这两个Firefox的add-ons中看到的网站检测结果的参考标准.</p>
<p>而整个WPO其实是对浏览器(browser)的加载(load)和解析(parse)过程中的一些消耗行为进行优化, 而load和parse在整个浏览器工作过程中又互相纠结互相作用.</p>
<p>在这篇文字中讨论的更多是FE们能够伸手处理或者通过达成共识的方法来进行快速推动Tech们协助的一些事情.</p>
<p>OK, 我们慢慢把浏览器的工作过程掰细了看吧.</p>
<p>首先, 我们先整一个浏览器如何找到一个网站的简易工作原理 –&nbsp;<strong>DNS查询</strong>:</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA2MTkxNDA4Mjc3MzQ/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZFRBeE1qTXpNamN6TlE9PS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg"></p>
<p>首先当用户在浏览器的地址栏中敲入了网站的网址 ( 比如: alibaba.com ) ,这时浏览器会首先通过访问的域名来定位到IP (DNS) 从而找到去哪里获取资源, 这时, 浏览器会依次进行如下查找:</p>
<p><strong>1. 浏览器缓存&nbsp;</strong>:</p>
<blockquote><p>浏览器首先会在自己的缓存中查找有没有对应的域名 – IP匹配, 如果好运的话, 这里就可以直接尝试去访问资源了, 如果运气平平则往下走吧.</p></blockquote>
<p><strong>2. 系统缓存&nbsp;</strong>:</p>
<blockquote><p>浏览器缓存中没有命中, 浏览器会告诉操作系统:”嘿, 我在我自己口袋里没找到, 可能丢了, 我得去你那看看”, 然后, 一个系统进程(?)调取系统中的DNS缓存进行查询, 重复上一条的运气判断…</p></blockquote>
<p><strong>3. 路由器缓存</strong>&nbsp;:</p>
<blockquote><p>走到这, 运气还真不太好啊, 操作系统也没辙了, 那怎么办呢, 向路由去要要看吧… 重复运气判断…</p></blockquote>
<p><strong>4. ISP DNS缓存&nbsp;</strong>:</p>
<blockquote><p>好吧, 真不知道说运气好还是运气不好了, 不废话, 去ISP (网络提供商) 的DNS缓存服务器中寻找了, 一般情况下, 在ISP端的缓存中都能找到相应的缓存记录了, 不该这么背了, 或者… 您的ISP有够菜…</p></blockquote>
<p><strong>5. 递归搜索</strong>…</p>
<blockquote><p>最无奈的情况发生了, 在前面都没有办法命中的DNS缓存的情况下, ISP的DNS服务器开始从root域名服务器开始进行递归, 顺序是从.com顶级域名服务器到alibaba的域名服务器, 再没找到…好吧, 您认为您要去的网站真的公开存在么…?</p></blockquote>
<p>要强调的是, 不只是对网站第一次的域名访问需要做这样一次查询工作, 在对页面中的资源引用的域名解析时一样会有这样的一系列工作. 最明显的就是启用全新域名来做静态资源存储服务时, 基本上上述的1 – 5个步骤都得走上几遍. 才能让新域名在各DNS缓存服务器上留下记录.</p>
<p>在这个话题上, 关于DNS的类&#20284;系统级的解决方案不是FE能够控制得了的, 我们q可以在涉及到DNS时有些小Tips来从中做些事情.</p>
<p>好吧, 第一项.DNS相关的优化:</p>
<p><strong>常规实践</strong>&nbsp;: DNS解析的复杂性决定了不当的使用多域名获取资源会造成不必要的性能开销. 在WPO中, 很多优化工作是很艺术的, 在DNS和HTTP这两方面优化是就可以看到这个神奇的艺术性:</p>
<p>DNS的优化, 当然是尽可能少的造成DNS查询开销, 而在HTTP优化的策略中有一项优化措施是避免单域名下连接数的缺陷来进行资源多通道下载, 实施的细节会在&nbsp;<strong>&lt;HTTP优化的原理和方法&gt;</strong>&nbsp;中详细介绍, 在这里只是简单的提一下, 静态资源多域名服务可以绕过浏览器单域名载入资源时并行连接数的限制, DNS优化需要我们尽可能少的域名解析, HTTP优化时需要我们适当的使用多域名服务, 那怎么样让两个优化实践都能够比较好的实施呢? [todo]</p>
<p><strong>优雅降级</strong>&nbsp;: 在某些现代浏览器 ( Google Chrome, Firefox 3.5&#043; ) 中, 已经能够支持DNS的预取了, 怎么个预取呢? 就是在浏览器加载网页时, 对网页中的&lt;link&gt;或者&lt;a&gt;的href属性中的域名进行后台的预解析(上文中的 1- 5步), 并且将解析结果缓存在浏览器端, 当用户在真正点击链接时, 省去在当下的DNS解析消耗, 把这个消耗过程转嫁到用户无法感知的浏览过程中去.</p>
<p>第一, 现代浏览器已经支持且默认打开了DNS Prefetch的功能. 当然也可以通过浏览器的配置来管理该功能:</p>
<blockquote><p>用Firefox3.5&#043;可以这样: 浏览器默认就打开了HTTP协议下的DNS预取功能, 默认关闭HTTPS协议下的DNS预取功能, 可通过 about:config 的&nbsp;<code>network.dns.disablePrefetch</code>&nbsp;和<code>network.dns.disablePrefetchFromHTTPS&nbsp;</code>&lt;两个选项来控制两种协议下的预取功能.</p>
<p><code>Chrome管理DNS Prefetch方法暂时缺少.</code></p></blockquote>
<p><code>第二,&nbsp;</code><code>可以通过用meta信息来告知浏览器, 我这页面要做DNS预取:</code></p>
<p><code></code></p>
<p><code>&lt;meta http-equiv=&quot;x-dns-prefetch-control&quot; content=&quot;on&quot; /&gt;</code></p>
<p><code></code><code></code></p>
<p><code>第三,可以</code><code>使用link标签来强制对DNS做预取:</code></p>
<p><code></code></p>
<p><code>&lt;link rel=&quot;dns-prefetch&quot; href=&quot;<a href="http://www.alibaba.com/" rel="external nofollow noreferrer">百度一下</a>&quot; /&gt;</code></p>
<p><code></code></p>
<p><code>[todo DEMO]</code></p>
<p><code>扩展阅读:</code></p>
<ul>
<li><a href="https://developer.mozilla.org/En/Controlling_DNS_prefetching" rel="external nofollow noreferrer">Controlling DNS prefetching in Firefox</a></li>
<li><a href="http://bitsup.blogspot.com/2008/11/dns-prefetching-for-firefox.html" rel="external nofollow noreferrer">DNS Prefetching for Firefox (blog post)</a></li>
<li><a href="http://dev.chromium.org/developers/design-documents/dns-prefetching" rel="external nofollow noreferrer">DNS Prefetching in Chrome</a></li>
<li><code><a href="http://www.aqee.net/2010/06/08/how-html-5-link-prefetching-can-make-your-site-load-faster-with-one-line-of-code/" rel="external nofollow noreferrer">link prefetching in HTML5</a></code></li>
</ul>
<p><P><A href="http://www.bubuko.com/infodetail-226776.html" rel="external nofollow noreferrer">关于dns-prefetch的详细资料,布布扣,bubuko.com</A></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 16:50:38 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/des/" title="des">des</a>, <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/code/" title="code">code</a>, <a href="https://www.biecuoliao.com/tag/class/" title="class">class</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>关于dns-prefetch的详细资料的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWlXe60.html" rel="bookmark">DNS Prefetch</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DNS 实现域名到IP的映射.通过域名访问站点,每次请求都要做DNS解析.目前每次DNS解析,通常在200ms以下.针对DNS解析耗时问题,一些浏览器通过DNS Prefetch 来提高访问的流畅性. 什么是 DNS Prefetch ? DNS Prefetch 是一种DNS 预解析技术,当你浏览网页时,浏览器会在加载网页时对网页中的域名进行解析缓存,这样在你单击当前网页中的连接时就无需进行DNS的解析,减少用户等待时间,提高用户体验. 目前支持 DNS Prefetch 的浏览器有 goog			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JdlEQ0.html" rel="bookmark">DNS Prefetch初认识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天在看一个后台框架时,发现这样的代码: &lt;link rel=&quot;dns-prefetch&quot; href=&quot;//0.s3.envato.com&quot;&gt;&lt;link rel=&quot;dns-prefetch&quot; href=&quot;//thumb-tf.s3.envato.com&quot; /&gt;&lt;link rel=&quot;dns-prefetch&quot; href=&quot;//user-profile.s3.envato			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xWj8rM.html" rel="bookmark">关于DNS Prefetch</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DNS Prefetch是一种DNS预解析技术,也是前端优化的一部分.当我们在浏览网页时,浏览器会在加载网页时,对网页中的域名进行解析缓存,这样在我们点击当前网页中的连接时就无需进行 DNS 的解析,减少用户等待时间,提高用户体验. 设置方式: 如果要浏览器端对特定的域名进行解析,通过以下两种方式实现: 1.通过 link 标签实现,例如:&lt; link rel=&quot;dns-prefetch&quot; href=&quot;http://demo.com&quot; /&gt; 2.通过 m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPykEB0.html" rel="bookmark">DNS预解析prefetch</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文将详细介绍DNS预解析prefetch的主要内容 原文出处:https://www.cnblogs.com/xiaohuochai/p/9185622.html 概述 DNS(Domain Name System, 域名系统),是域名和IP地址相互映射的一个分布式数据库.DNS 查询就是将域名转换成 IP 的过程,这个过程短的话 2ms 几乎无感,长则可能达到几秒钟 当浏览器访问一个域名的时候,需要解析一次DNS,获得对应域名的ip地址.在解析过程中,按照浏览器缓存.系统缓存.路由器缓存.I			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3w5qrQM.html" rel="bookmark">dns-prefetch&mdash;DNS预解析技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天在看一个网站的源代码时 发现了 &lt;link rel=&quot;dns-prefetch&quot; href=&quot;//static.tuweia.cn/&quot;&gt; 对dns-prefetch有点儿好奇,因为不止一次地见到,今天终于忍不住要看看他到底是什么技术? 下面是在网上找到的一篇关于dns-prefetch的简述. DNS 实现域名到IP的映射.通过域名访问站点,每次请求都要做DNS解析.目前每次DNS解析,通常在200ms以下.针对DNS解析耗时问题,一些浏览器通过DN			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wpQPR4.html" rel="bookmark">详解HTML5中rel属性的prefetch预加载功能使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在HTML5中,有个很有用但常被忽略的特性,就是预先加载(prefetch),它的原理是: 利用浏览器的空闲时间去先下载用户指定需要的内容,然后缓存起来,这样用户下次加载时,就直接从缓存中取出来,效率就快了. 举个例子说明:比如要预先加载某个页面,可以这样: XML/HTML Code &lt;link rel=&quot;prefetch&quot; href=&quot;http://www.example.com/&quot;&gt; &lt;!-- Firefox --&gt; 但如果是googl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXGopQ4.html" rel="bookmark">分析DNS解析时间</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				提高网页的打开速度,一般地我们会选择使用CDN,利用“就近原则”让用户在最短的时间内获取到服务器资源,实际应用当中采用CDN的方式提高网站访问速度的效果也是最明显的.这也就是为什么国外的空间打开速度远不及国内的主机的访问速度的原因了. 我们知道在用户访问网站时先得经过域名DNS解析这一过程,可能很多人对于DNS解析时间平常并没有太在意.性能稳定.响应时间快的DNS域名 解析服务与不稳定.响应过慢的DNS的域名解析时间可能相差1秒,而对于网站存在过多的域名解析请求,这个时间积累起来就非常地多了.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49O9xD0.html" rel="bookmark">HTML5 prefetch即预加载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址 声明:此文带着自己的理解,不完全按原文翻译 prefetch 即预加载,在用户需要前我们就将所需的资源加载完毕. 有了浏览器缓存,为何还需要预加载? 用户可能是第一次访问网站,此时还无缓存 用户可能清空了缓存 缓存可能已经过期,资源将重新加载 用户访问的缓存文件可能不是最新的,需要重新加载 Chrome 的预加载技术 现在的 chrome 聪明到根据你的浏览记录,预测到你可能访问或搜索哪些网站,在你打开网站之前就加载好了一些资源了.举个栗子,当你在搜索框输入 &quot;amaz&quot; 时			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AK9Yd0.html" rel="bookmark">减少域名DNS解析时间将网页加载速度提升新层次-DNS缓存&sol;预读取&sol;拆分域名</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道在用户访问网站时先得经过域名DNS解析这一过程,可能很多人对于DNS解析时间平常并没有太在意.性能稳定.响应时间快的DNS域名解析服务与不稳定.响应过慢的DNS的域名解析时间可能相差1秒,而对于网站存在过多的域名解析请求,这个时间积累起来就非常地多了. 本篇文章就来分享一下通过优化网站DNS域名解析,减少域名DNS解析时间,从而让网站在原来的访问速度的前提下继续实现新的飞跃.想要了解更多的有关于网站和服务器优化加速的方法,可以试试: 1.加快SSL:Nginx和Apache上安装SPDY			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/g415lo4.html" rel="bookmark" class="title">多路复用之select、epoll、poll</a>
					<div>
						IO的多路复用:一个进程可以监视多个描述符,一旦某个描述符读就绪或写就绪,能够通知进程程序进行相应的读写操作 使用场景: 1.当客户处理多个描述符(网络套接口)或一个客户同时处理多个套接口 2.TCP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/L3rX2vM.html" rel="bookmark" class="title">CentOS 7  Zabbix 3&period;2 安装 1&period;0版</a>
					<div>
						1.关闭selinux,重启服务器 vim /etc/selinux/config SELINUX=disabled reboot 2.关闭防火墙 systemctl stop firewalld.s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JkKOQM.html" rel="bookmark" class="title">dhcp源码编译支持4G上网卡</a>
					<div>
						1. tar xvzf dhcp-4.2.5-P1.tar.gz 2. ./configure --host=arm-linux ac_cv_file__dev_random=yes 3. vi bi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pR5Px0.html" rel="bookmark" class="title">Java编码</a>
					<div>
						转自:http://www.blogjava.net/zhangchao/archive/2011/05/26/351051.html Thanks Java编码问题汇总 工作中经常遇到java编码问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0enYGD3.html" rel="bookmark" class="title">android4&period;0默认界面旋转180</a>
					<div>
						不巧新拿的android4.0默认启动画面和正常显示旋转了180度,即为倒立的.原来是屏输出为倒的,查找得知可以做旋转: 步骤: 一:先把这个加上 然后加上属性ro.sf.hwrotation = 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NGlrJM.html" rel="bookmark" class="title">php读取excel文件数据</a>
					<div>
						require_once $_SERVER['DOCUMENT_ROOT'].'/Classes/PHPExcel.php';require_once $_SERVER['DOCUMENT_ROOT' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ekXzE4.html" rel="bookmark" class="title">Hadoop 学习总结之一：HDFS简介</a>
					<div>
						一.HDFS的基本概念 1.1.数据块(block) HDFS(Hadoop Distributed File System)默认的最基本的存储单位是64M的数据块. 和普通文件系统相同的是,HDFS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/471qW60.html" rel="bookmark" class="title">SQL&mdash;&mdash;&mdash;&mdash;高级查询</a>
					<div>
						高级查询 --连接查询 select * from 表1,表2 ————形成笛卡尔积 select * from 表1,表2 where 表1.主键=表2.外键  ————主外键位置可以互换 --jo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k9lVd4.html" rel="bookmark" class="title">Linux wifi移植</a>
					<div>
						wpa_supplicant-0.7.3 WIFI 服务端程序 wpa_supplicant包含两个主要的可执行工具: wpa_supplicant和wpa_cli. wpa_supplicant是核 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aRxdR3.html" rel="bookmark" class="title">Kali Linux Web 渗透测试视频教程&mdash;第十四课-arp欺骗、嗅探、dns欺骗、session劫持</a>
					<div>
						Kali Linux Web 渗透测试视频教程—第十四课-arp欺骗.嗅探.dns欺骗.session劫持 文/玄魂 目录 Kali Linux Web 渗透测试—第十四课-arp欺骗.嗅探.dns欺 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6la1r3.html" rel="bookmark" class="title">hdu 301 Jungle Roads &lpar;最小生成树&rpar;</a>
					<div>
						Jungle Roads Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others)Tota ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lNRYB4.html" rel="bookmark" class="title">SolrCloud配置</a>
					<div>
						一.简介 Apache Solr是基于Lucene的全文搜索引擎.如何让Solr具有容错性和高可用性,SolrCloud可以帮助我们搭建集群,提供分布式索引,以及自动备份.SolrCloud是Solr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyBgzY0.html" rel="bookmark" class="title">VS集成OpenCV</a>
					<div>
						1. 下载opencv,解压到某目录 2. 在系统环境变量path中添加64位的OpenCV:C:\opencv\build\x64\vc12\bin 3. 新建VS工程,右击项目(非解决方案),打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6pOyv3.html" rel="bookmark" class="title">mac上node&plus;express&plus;ejs前端项目搭建</a>
					<div>
						纪录一下我在Mac上搭建前端web项目的过程 1.安装node 到网上找到自己需要安装的node版本:http://www.oschina.net/news/60538/node-0-10-37-ma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qOOozM.html" rel="bookmark" class="title">代码中输入数字自动筛选出最大值，使用array&comma;for loop and if &lpar;21&period;9&period;2017&rpar;</a>
					<div>
						# include &lt;stdio.h&gt; # define N 20 main(){ int a, b; int array[N]={1,2,3,4,7,45,45,23,4,1,0,432 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02XQEB4.html" rel="bookmark" class="title">Java 8的五大开发技巧</a>
					<div>
						转载:http://geek.csdn.net/news/detail/94219 在Java 9发布之前,我们来分享一些Java 8开发技巧,本文翻译自JetBrains高级开发主管Trisha G ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mzk9zy0.html" rel="bookmark" class="title">JS中的Replace只会替换第一处解决办法</a>
					<div>
						解决这个问题只需将replace的第一个参数使用正则的方式即可,代码如下: 1 var reg = new RegExp(&quot;,&quot;,&quot;g&quot;); 2 var str ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pkndP3.html" rel="bookmark" class="title">龙岗食堂打卡机生产厂家</a>
					<div>
						食堂打卡机:即学生或职工就餐时所使用的消费计数设备.是为了满足消费电子化.制度化.方便化的要求而研制的新一代智能卡设备. 产生原因:传统的食堂.餐厅售饭多采用饭票或现金进行结算,这就不可避免的存在诸如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02oRyB3.html" rel="bookmark" class="title">第一篇&mdash;&mdash;javascript 最简单的表白&mdash;&mdash;情人节</a>
					<div>
						&lt;!DOCTYPE html&gt; &lt;html&gt; &lt;body&gt; &lt;h1&gt;最帅的人是谁?&lt;/h1&gt; &lt;p id=&quot;demo&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0baQ8YM.html" rel="bookmark" class="title">html知识点总结</a>
					<div>
						Html 内容 Html就是超文本标记语言的简写,是最基础的网页语言. Html是通过标签来定义的语言,代码都是由标签所组成. Html代码不用区分大小写. Html代码由&lt;html&gt;开始 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
